# Method Debug.map_all_objects()

Method map_all_objects

  ``int` map_all_objects(`function`(`object`:`void`) `cb`)`

Description

  Call cb for all objects that currently exist. The callback will not be called with destructed objects as it's argument.

  Objects might be missed if `cb` creates new objects or destroys old ones.

  This function is only intended to be used for debug purposes.

Returns

  The total number of objects

See also

  next_object(), find_all_clones()